### Method

# EBackend Backend ref_main_context

since: 3.8

#### Declaration [src]

    GMainContext*
    e_backend_ref_main_context (
      EBackend* backend
    )

#### Description [src]

Returns the `GMainContext` on which event sources for `backend` are to be attached.

The returned `GMainContext` is referenced for thread-safety and must be unreferenced with `g_main_context_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `GMainContext`

A `GMainContext`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.